Bug 226418 - games/cataclysm-dda: update to git master, fix stuff, add SDL sub-port
Summary: games/cataclysm-dda: update to git master, fix stuff, add SDL sub-port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks: 201763
  Show dependency treegraph
 
Reported: 2018-03-07 14:29 UTC by Greg V
Modified: 2018-09-20 05:05 UTC (History)
0 users

See Also:


Attachments
cataclysm-dda.patch (123.96 KB, patch)
2018-03-07 14:29 UTC, Greg V
no flags Details | Diff
cataclysm-dda.patch v2 (124.43 KB, patch)
2018-07-12 12:10 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2018-03-07 14:29:50 UTC
Created attachment 191276 [details]
cataclysm-dda.patch

- 0.C release is from 2015, CDDA is "under constant development", the official website only offers automatic jenkins builds, so switch to git master;
- The port didn't even build, wasn't available in official pkgs;
- ARM/PowerPC is not BROKEN anymore (fixed upstream). I tested on aarch64, works fine;
- There's no need to replace terminus with an "X compatible version", e.g. the Arch Linux PKGBUILD does not do that;
- Added games/cataclysm-dda-sdl similar to games/stonesoup-sdl, to let everyone just pkg install the GUI version;
- I can take maintainership :)
Comment 1 Greg V 2018-07-12 12:10:58 UTC
Created attachment 195076 [details]
cataclysm-dda.patch v2

Also, we don't have -liconv in base. Found while testing on aarch64. (I guess it worked on my main box because I had the iconv port installed.)
Comment 2 commit-hook freebsd_committer 2018-09-20 05:04:19 UTC
A commit references this bug:

Author: swills
Date: Thu Sep 20 05:04:04 UTC 2018
New revision: 480153
URL: https://svnweb.freebsd.org/changeset/ports/480153

Log:
  games/cataclysm-dda: update, fix build, add SDL option

  While here, give maintainership to submitter

  PR:		226418
  Submitted by:	Greg V <greg@unrelenting.technology>

Changes:
  head/games/cataclysm-dda/Makefile
  head/games/cataclysm-dda/distinfo
  head/games/cataclysm-dda/files/patch-Makefile
  head/games/cataclysm-dda/files/patch-src-cata_tiles.cpp
  head/games/cataclysm-dda/files/patch-src-game.cpp
  head/games/cataclysm-dda/files/patch-src-sdltiles.cpp
  head/games/cataclysm-dda/files/patch-src-translations.cpp
  head/games/cataclysm-dda/files/patch-src_options.cpp
  head/games/cataclysm-dda/files/patch-src_player.cpp
  head/games/cataclysm-dda/pkg-descr
  head/games/cataclysm-dda/pkg-plist
Comment 3 Steve Wills freebsd_committer 2018-09-20 05:05:50 UTC
Committed, thanks!